.features-7 {
    padding: 120px 0;
    position: relative;
    background: linear-gradient(180deg, #EAEBEB 0%, #F8F9FA 42.31%);
}

.features-7 .content-wrapper {
    display: flex;
    flex-direction: column;
    gap: 64px;
}

.features-7 .block-title {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 16px;
    text-align: center;
    max-width: 792px;
    margin: 0 auto;
}

.features-7 .block-title p {
    font-size: 18px;
    opacity: 0.8;
}

.features-7 .block-boxes {
    display: flex;
    flex-wrap: wrap;
    gap: 24px;
}

.features-7 .box-single {
    background-color: #fff;
    border-radius: 8px;
    display: flex;
    flex-direction: column;
    gap: 32px;
    padding: 32px;
    width: calc(50% - 12px);
    height: auto;
    position: relative;
    transition: box-shadow .3s ease;
    overflow: hidden;
}

.features-7 .box-single:hover {
    box-shadow: 0 4px 34.3px 0 rgba(246, 88, 34, 0.28);
}

.features-7 .box-number {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: 32px;
    height: 100%;
    width: auto;
}

.features-7 .box-text {
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.features-7 .box-text h3 {
    color: #303739;
    font-weight: 600;
}

.features-7 .box-text p {
    font-size: 16px;
    opacity: 0.8;
}

@media (max-width:1199px) {
    .features-7 {
        padding: 64px 0;
        background: #F8F9FA;
    }

    .features-7 .content-wrapper {
        gap: 32px;
    }

    .features-7 .box-number {
        width: 80px;
        min-width: 80px;
        top: 16px;
        transform: translateY(0);
        right: 16px;
    }

    .features-7 .box-single {
        padding: 16px;
        gap: 16px;
    }

    .features-7 .block-boxes {
        gap: 16px;
    }

    .features-7 .box-text p {
        font-size: 14px;
    }

    .features-7 .block-title p {
        font-size: 16px;
    }
}

@media (max-width:991px) {
    .features-7 .box-single {
        width: 100%;
    }

    .features-7 .box-text h3 {
        font-size: 16px;
    }
}